module Creation exposing (..)

import OrderedCategories as OCat exposing (OCat, CategoriesType(..))
import Stats exposing (Category)

type alias CreationPoints =
    { freebie : Int
    , spheres : Int
    , attributes : OCat
    , abilities : OCat
    , abilityDotLimit : Int
    , backgrounds : Int
    }

new : CreationPoints 
new =
    { freebie = 15
    , spheres = 6
    , attributes = OCat.new OCat.Attribute
    , abilities = OCat.new OCat.Ability
    , abilityDotLimit = 3
    , backgrounds = 7
    }

cost :
    { sphere : Int
    }
cost = 
    { sphere = 7
    }

changeOrder : CreationPoints -> CategoriesType -> Category -> Int -> CreationPoints
changeOrder cp catType category index =
    case catType of
        Attribute ->
            { cp 
            | attributes = OCat.changeOrder cp.attributes category index
            }
        Ability -> 
            { cp 
            | abilities = OCat.changeOrder cp.abilities category index
            }